#ifndef TESTCLASS_H_
#define TESTCLASS_H_

//#include "iopclib/databaseObject.h"
#include "iopclib/iopcHeaders.h"
#include <iostream>

using namespace iopc;

class TestClass : public iopc::OidObject {
public:
	iopc::EInt attrInt;
	iopc::EString attrString;
	iopc::EString attrString2;
	//int attrBInt;

	static void iopcInit(iopc::Type& t) {
		std::cout << "IOPC Init" << std::endl;
	}

	friend class iopc::TypeDesc<TestClass>;
};

class TestClass2 : public iopc::OidObject {
private:
	iopc::EInt attrInt;
	iopc::EDouble attrDouble;
public:
	iopc::EString attrString;
	//int attrBInt;

	friend class iopc::TypeDesc<TestClass2>;
};

class TestClass3 : public TestClass2 {
	//int attrBInt;

	friend class iopc::TypeDesc<TestClass3>;
};

#endif /*TESTCLASS_H_*/
